Subject: Re: [PATCH 1/7] MIPS: Octeon: Fix EIO handling.

From: Greg KH <[email-masked]>
Date: Thu, 7 Jan 2010 13:59:50 -0800

On Thu, Jan 07, 2010 at 12:52:07PM -0800, David Daney wrote:
> Sergei Shtylyov wrote:
>> Hello.
>>
>> David Daney wrote:
>>
>>> If an interrupt handler disables interrupts, the EOI function will
>>> just reenable them.  This will put us in an endless loop when the
>>> upcoming Ethernet driver patches are applied.
>>>
>>> Only reenable the interrupt on EOI if it is not IRQ_DISABLED.  This
>>> requires that the EIO function be separate from the ENABLE function.
>>> We also rename the ACK functions to correspond with their function.
>>>
>>> Signed-off-by: David Daney <[email-masked]>
>>>   
>>
>>   I guess the subject should read "EIO", not "EIO"...
>>
>
> Indeed.  The compiler didn't catch that one.
>
> Perhaps Ralf can fix it if he merges it, otherwise I can resubmit with 
> corrected spelling.

I can change it when merging, don't worry about it.

thanks,

greg k-h